﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule;

namespace WindowsFormsApplication3
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            InitializeUI();
        }


        private void InitializeUI()
        {
            ultraCalendarInfo1.Owners.UnassignedOwner.Visible = false;
            ultraTimeLineView1.OwnerHeaderTextOrientation = TextOrientationInfo.Horizontal;
            ultraTimeLineView1.OwnerHeaderAppearance.FontData.Bold = DefaultableBoolean.True;

            ultraTimeLineView1.AppointmentDragMode = TimelineViewAppointmentDragMode.Default;
            ultraTimeLineView1.OwnerGroupingStyle = TimelineViewOwnerGroupingStyle.Separate;

            List<ProjectionDetail> lstDetails = new List<ProjectionDetail>();
            for (int i = 1; i <= 10; i++)
                lstDetails.Add(new ProjectionDetail(i.ToString(), string.Format("Subject {0}", i), DateTime.Now.AddDays(30 * i), DateTime.Now.AddDays(250)));

            this.ultraCalendarInfo1.DataBindingsForAppointments.DataSource = lstDetails;



            List<HouseView> lstHouses = new List<HouseView>();
            for (int i = 1; i <= 10; i++)
                lstHouses.Add(new HouseView(i.ToString(), string.Format("House {0}", i)));

            this.ultraCalendarInfo1.DataBindingsForOwners.DataSource = lstHouses;



            this.ultraCalendarInfo1.DataBindingsForAppointments.StartDateTimeMember = "DatePlaced";
            this.ultraCalendarInfo1.DataBindingsForAppointments.EndDateTimeMember = "DateSold";

            this.ultraCalendarInfo1.DataBindingsForAppointments.SubjectMember = "Subject";
            this.ultraCalendarInfo1.DataBindingsForAppointments.OwnerKeyMember = "HouseRecordID";

            this.ultraCalendarInfo1.DataBindingsForOwners.KeyMember = "HouseRecordID";
            this.ultraCalendarInfo1.DataBindingsForOwners.NameMember = "HouseNo";


            this.ultraTimeLineView1.CalendarInfo = ultraCalendarInfo1;
            this.ultraCalendarLook1.ViewStyle = ViewStyle.Office2007;
            this.ultraTimeLineView1.CalendarLook = this.ultraCalendarLook1;
        }

    }

    class ProjectionDetail
    {

        static int iID;

        public ProjectionDetail(string houseId, string subject, DateTime placed, DateTime solded)
        {
            this.recordID = ++iID;
            this.datePlaced = placed;
            this.dateSold = solded;
            this.subject = subject;
            this.houseRecordID = houseId;
        }

        private int recordID;

        public int RecordID
        {
            get { return recordID; }
            set { recordID = value; }
        }


        private string subject;

        public string Subject
        {
            get { return subject; }
            set { subject = value; }
        }



        private string houseRecordID;

        public string HouseRecordID
        {
            get { return houseRecordID; }
            set { houseRecordID = value; }
        }


        private DateTime datePlaced;

        public DateTime DatePlaced
        {
            get { return datePlaced; }
            set { datePlaced = value; }
        }

        private DateTime dateSold;
        public DateTime DateSold
        {
            get { return dateSold; }
            set { dateSold = value; }
        }


    }

    class HouseView
    {

        public HouseView(string id, string name)
        {
            this.houseRecordID = id;
            this.houseNo = name;
        }

        private string houseRecordID;

        public string HouseRecordID
        {
            get { return houseRecordID; }
            set { houseRecordID = value; }
        }

        private string houseNo;

        public string HouseNo
        {
            get { return houseNo; }
            set { houseNo = value; }
        }


    }
}
